CodeLIte 8 - OpenSUSE 13.2 KDE x64

Hello, i gat one problem with CodeLite 8. Install it from .rpm file, all done grate but dont open application, nothing hapened. Remove that installation and install from official repo CodeLite 5 and its work, remove this version 5 and agane try vesrion 8 and gat same problem from start. Does anyone use CodeLite 8 on OpenSUSE 13.2 with KDE and how install it.

Ty in advance.

P.S. - Sorry for my bad English :wink:

I have some new information of my problem, its look like that cant find one library even i have that librari

whan i try this command i got this error

~> codelite
codelite: error while loading shared libraries: libwx_gtk2u_aui-suse-3.0.so.0: cannot open shared object file: No such file or directory

i check my usr/lib dir for it and its there

# ls /usr/lib/libwx_gtk2u_aui-suse
libwx_gtk2u_aui-suse-3.0.so.0      libwx_gtk2u_aui-suse-3.0.so.0.1.0  libwx_gtk2u_aui-suse.so.1

i linked it in /usr/local/lib/

# ln -s /usr/lib/libwx_gtk2u_aui-suse-3.0.so.0 /usr/local/lib/libwx_gtk2u_aui-suse-3.0.so.0

still dont work… :frowning:

On Mon, 29 Jun 2015 23:06:02 +0000, mikisid wrote:

> I have some new information of my problem, its look like that cant find
> one library even i have that librari
>
> whan i try this command i got this error
>
> Code:
> --------------------
> ~> codelite
> codelite: error while loading shared libraries:
> libwx_gtk2u_aui-suse-3.0.so.0: cannot open shared object file: No such
> file or directory
>
> --------------------
>
>
> i check my usr/lib dir for it and its there
>
> Code:
> --------------------
> # ls /usr/lib/libwx_gtk2u_aui-suse
> libwx_gtk2u_aui-suse-3.0.so.0 libwx_gtk2u_aui-suse-3.0.so.0.1.0
> libwx_gtk2u_aui-suse.so.1
> --------------------
>
>
> i linked it in /usr/local/lib/
>
> Code:
> --------------------
> # ln -s /usr/lib/libwx_gtk2u_aui-suse-3.0.so.0
> /usr/local/lib/libwx_gtk2u_aui-suse-3.0.so.0
> --------------------
>
>
> still dont work… :frowning:

You might mention where you downloaded it from.

Jim


Jim Henderson
openSUSE Forums Administrator
Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

Downloaded from CodeLite official site…

/usr/lib = 32bit libraries. /usr/lib64 = 64bit libraries.

You need to install the libwx 64bit version, if you have it installed make the symlink in lib64 to the 64bit library.

from your error it seams you are installing the 32bit version on a 64bit OS and are lacking some 32bit runtime libraries, codelite does seam to package version 8 for opensuse 13.2 both 32 and 64 bit, try installing the 64 bit version with zypper and let zypper handle all extra dependencies

sudo zypper in http://repos.codelite.org/rpms/suse/codelite-8.0-1.suse13.2.x86_64.rpm

Thanke you folks for answering and give me some solutions. First of all i have 64bit version of programm installed and got all of wx libs 64bit installed. I find something else and i will post here some of my solution that i try and got anather error.

linux:/home/mikisid # ln -s /usr/lib64/libwx_gtk2u_aui-suse.so.1 /usr/lib64/libwx_gtk2u_aui-suse-3.0.so.0
linux:/home/mikisid # codelite
codelite: error while loading shared libraries: libwx_gtk2u_propgrid-suse-3.0.so.0: cannot open shared object file: No such file or directory
linux:/home/mikisid # ln -s /usr/lib64/libwx_gtk2u_propgrid- /usr/lib64/libwx_gtk2u_aui-suse-3.0.so.0
libwx_gtk2u_propgrid-3.0.so     libwx_gtk2u_propgrid-suse.so.1  
linux:/home/mikisid # ln -s /usr/lib64/libwx_gtk2u_propgrid-suse.so.1 /usr/lib64/libwx_gtk2u_propgrid-suse-3.0.so.0
linux:/home/mikisid # codelite
codelite: error while loading shared libraries: libwx_gtk2u_stc-suse-3.0.so.0: cannot open shared object file: No such file or directory
linux:/home/mikisid # ln -s /usr/lib64/libwx_gtk2u_stc- /usr/lib64/
libwx_gtk2u_stc-3.0.so     libwx_gtk2u_stc-suse.so.1  
linux:/home/mikisid # ln -s /usr/lib64/libwx_gtk2u_stc-suse.so.1 /usr/lib64/libwx_gtk2u_stc-suse-3.0.so.0
linux:/home/mikisid # codelite
codelite: error while loading shared libraries: libwx_gtk2u_ribbon-suse-3.0.so.0: cannot open shared object file: No such file or directory
linux:/home/mikisid # ln -s /usr/lib64/libwx_gtk2u_ribbon- /usr/lib64/libwx_gtk2u_stc-suse-3.0.so.0
libwx_gtk2u_ribbon-3.0.so     libwx_gtk2u_ribbon-suse.so.1  
linux:/home/mikisid # ln -s /usr/lib64/libwx_gtk2u_ribbon-suse.so.1 /usr/lib64/libwx_gtk2u_ribbon-suse-3.0.so.0
linux:/home/mikisid # codelite
codelite: error while loading shared libraries: libwx_gtk2u_xrc-suse-3.0.so.0: cannot open shared object file: No such file or directory
linux:/home/mikisid # ln -s /usr/lib64/libwx_gtk2u_xrc-suse.so.1 /usr/lib64/libwx_gtk2u_xrc-suse-3.0.so.0
linux:/home/mikisid # codelite
codelite: error while loading shared libraries: libwx_gtk2u_html-suse-3.0.so.0: cannot open shared object file: No such file or directory
linux:/home/mikisid # ln -s /usr/lib64/libwx_gtk2u_html-suse.so.1 /usr/lib64/libwx_gtk2u_html-suse-3.0.so.0
linux:/home/mikisid # codelite
codelite: error while loading shared libraries: libwx_gtk2u_qa-suse-3.0.so.0: cannot open shared object file: No such file or directory
linux:/home/mikisid # ln -s /usr/lib64/libwx_gtk2u_qa-suse.so.1 /usr/lib64/libwx_gtk2u_qa-suse-3.0.so.0
linux:/home/mikisid # codelite
codelite: error while loading shared libraries: libwx_gtk2u_adv-suse-3.0.so.0: cannot open shared object file: No such file or directory
linux:/home/mikisid # ln -s /usr/lib64/libwx_gtk2u_adv-suse.so.1 /usr/lib64/libwx_gtk2u_adv-suse-3.0.so.0
linux:/home/mikisid # codelite
Floating point exception

what now?

you really should not link those libraries, if you did a software search you’d see that those are separate packages

libwx_gtk2u_aui-suse-3.0.so.0 is included in libwx_baseu-suse-3_0-0-3.0.1-2.1.11.x86_64.rpm

you didn’t say how you installed it, by using rpm -i or zypper in, zypper will handle all package dependencies no need for soft linking.

Hello,

I also had the same issue you did and was ready to give up (un-installed everything I had done) and then I noticed this comment that I had missed from the CodeLite download page:

***"The openSUSE were supposed to include the wx libs but don’t (probably because of SUSE’s naming choices). I hope they will correctly ‘depend’ on the appropriate packages, but if not try installing wxWidgets-3_0-devel and its dependencies. "


So I did this “zypper install wxWidgets-3_0-devel” it installed about 65 packages and then I re-installed the rpms for CodeLite 8 for SUSE 64 bits and the wxcrafter. CodeLite is now launching and running fine.

Sylvain